package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 供试品-台账对象 t_gsp_tz
 *
 * @author hxhq
 * @date 2025-12-30
 */
@TableName("t_gsp_tz")
public class GspTz extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 供试品id */
    private Long gspId;

    /** 领取人名称 */
    private String lqrMc;
    private String lqrMcEn;

    /** 归还人名称 */
    private String ghrMc;
    private String ghrMcEn;

    /** 发放人名称 */
    private String ffrMc;
    private String ffrMcEn;

    /** 接收人名称 */
    private String jsrMc;
    private String jsrMcEn;

    /** 操作量 */
    private String czl;

    /** 操作量单位 */
    private String czldw;

    /** 签名意义 */
    private String qmyy;

    private String qmyyEn;

    /** 签名人名称 */
    private String qmrMcEn;
    private String qmrMc;

    /** 签名人id */
    private Long qmrId;


    public void setGspId(Long gspId)
    {
        this.gspId = gspId;
    }

    public Long getGspId()
    {
        return gspId;
    }

    public void setLqrMc(String lqrMc)
    {
        this.lqrMc = lqrMc;
    }

    public String getLqrMc()
    {
        return lqrMc;
    }

    public void setGhrMc(String ghrMc)
    {
        this.ghrMc = ghrMc;
    }

    public String getGhrMc()
    {
        return ghrMc;
    }

    public void setFfrMc(String ffrMc)
    {
        this.ffrMc = ffrMc;
    }

    public String getFfrMc()
    {
        return ffrMc;
    }

    public void setJsrMc(String jsrMc)
    {
        this.jsrMc = jsrMc;
    }

    public String getJsrMc()
    {
        return jsrMc;
    }

    public void setCzl(String czl)
    {
        this.czl = czl;
    }

    public String getCzl()
    {
        return czl;
    }

    public void setCzldw(String czldw)
    {
        this.czldw = czldw;
    }

    public String getCzldw()
    {
        return czldw;
    }

    public void setQmyy(String qmyy)
    {
        this.qmyy = qmyy;
    }

    public String getQmyy()
    {
        return qmyy;
    }

    public void setQmrId(Long qmrId)
    {
        this.qmrId = qmrId;
    }

    public Long getQmrId()
    {
        return qmrId;
    }

    public String getLqrMcEn() {
        return lqrMcEn;
    }

    public void setLqrMcEn(String lqrMcEn) {
        this.lqrMcEn = lqrMcEn;
    }

    public String getGhrMcEn() {
        return ghrMcEn;
    }

    public void setGhrMcEn(String ghrMcEn) {
        this.ghrMcEn = ghrMcEn;
    }

    public String getFfrMcEn() {
        return ffrMcEn;
    }

    public void setFfrMcEn(String ffrMcEn) {
        this.ffrMcEn = ffrMcEn;
    }

    public String getJsrMcEn() {
        return jsrMcEn;
    }

    public void setJsrMcEn(String jsrMcEn) {
        this.jsrMcEn = jsrMcEn;
    }

    public String getQmrMcEn() {
        return qmrMcEn;
    }

    public void setQmrMcEn(String qmrMcEn) {
        this.qmrMcEn = qmrMcEn;
    }

    public String getQmyyEn() {
        return qmyyEn;
    }

    public void setQmyyEn(String qmyyEn) {
        this.qmyyEn = qmyyEn;
    }

    public String getQmrMc() {
        return qmrMc;
    }

    public void setQmrMc(String qmrMc) {
        this.qmrMc = qmrMc;
    }
}
